run MechVal.
//
// Mech Valentina - Your "Low T" Auto-Co-Pilot.
//
// usage: 
// place MechVal files in Ships/Script
// Open your fav text editor on MechValCmd.ks
// open a kOS Terminal from your vessel
// type: switch to 0. <enter>
// type: run MechValCmd.
//       any script in MechValCmd.ks will be executed

// examples:
//   mvClearNodes().
//   mvPrintNodes().
//   mvSplitNode( 1, 90 ). // split node 1, leaving 90 in the first node
//   PRINT mvUTStr( TIME:SECONDS ).
//   PRINT mvUTStr( mvAsUTSeconds( 61, 63, 1, 27, 0) ).

//
//       Example setup PeKicked Kerbin departure
//   mvClearNodes().
//
//       Setup regular departure node at the right time and magnitude.
//       Also add the node to a 'marker' probe in the same orbit & target it,
//       tweak marker's node eta to put it under the real node.
//   ADD NODE( TIME:SECONDS + 60*60*6*5, 0, 0, 1700).
//   wait 0. // make sure game engine has 'seen' the node.
//
//       turn node 1 into 100 m/s kicks (not exceeding 450 m/s), start within 3 orbits
//   mvPeKickNode( 1, 100, 450, 3 ).
//   wait 0.
//
//       change the magnitude of the last kick to bring last node over reference node
//       iterate this until you are happy
//   mvDeltaMagNode( 4, -1 ). // ( node#, magnitude )
//   mvDeltaMagNode( 4, -0.1 ). // ( node#, magnitude )
//
//       Split node 5 (residual burn) into burns of 100 m/s 60 seconds apart
//       => 5/3 m/s^2 You have to do the math to find your seconds.
//   mvSplitsNodeMagSeconds( 5, 100, 60 ).
//
//       Move all the nodes in time till you get a good fit with 
//       the trajectory of the reference probe.
//   mvDeltaTAllNodes( -60 ).
//
//       Tweak the final burn size to get a better Ap match
//   mvDeltaMagNode( 17, 7 ). // ( node#, magnitude )
//       note MJ won't show the change unless you move node to node
//
//       Profit

// testing for variable thrust departure sequence
// mvSplitsNodeSecondsThrottleSlew( 1, list( list( 60, 1 ) ), 120 ). // ok
// mvSplitsNodeSecondsThrottle( 1, list( list( 60, 0.1 ))). // ok
// mvSplitsNodeSecondsThrottle( 1, list( list( 120, 1), list( 180, 0.1 ), list(60, 1))). // ok

